import { z } from 'zod'
import { initTRPC } from '@trpc/server'
import { userRouter } from './user/user.trpc'

const t = initTRPC.create()

export const publicProcedure = t.procedure
export const router = t.router

export const appRouter = router({
    user: userRouter
})

export type AppRouter = typeof appRouter